## libphysfs 2.0.0

=== debian/changelog ===
libphysfs (2.0.0-4) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix 03_gcc4.4-ftbfs.diff, so it tries to overwrite buffer with uninitialised
    data.
    Closes: #527208
  * Bump Standards-Version to 3.8.3.

  [ Patrick Matthäi ]
  * Fix debian/changelog.
  * Replace libreadline5-dev build dependency by libreadline-dev.
    Closes: #553799
  * Convert package to the 3.0 (quilt) format.
  * Rediff hunky 01_manpages.diff patch.
  * Bump to debhelper compat 7.
    - Use dh_prep instead of dh_clean -k.
  * Override some lintian pendantic warnings.
  * Remove not used dh_installexamples.
  * Add an simple manpage for test_physfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 15 Nov 2009 14:13:28 +0100

libphysfs (2.0.0-3) unstable; urgency=low

  * Change my email address.
  * Add 03_gcc4.4-ftbfs.diff patch from upstream, which fixes a FTBFS with
    gcc 4.4.
    Closes: #525750
  * Add experimental 02_fix-hurd-ftbfs.diff patch, which should fix FTBFS
    on hurd.
    Closes: #493916
  * Move libphysfs1-dbg to section debug. This fixes a lintian warning.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:18:33 +0200

libphysfs (2.0.0-2) unstable; urgency=low

  [ Barry deFreese ]
  * Upload new upstream to unstable.
    + New binaries for testing physfs added to -dev package.
  * Add Provides, Conflicts, and Replaces for libphysfs-1.0-0.
    + ABI compatible with previous version so symlink libphysfs-1.0-0
      to the new library.
  * Drop 02_soname.patch, no longer needed.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 23 Mar 2009 11:52:31 -0400

libphysfs (2.0.0-1) experimental; urgency=low

  [ Barry deFreese ]
  * New upstream release.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Mon, 23 Mar 2009 10:26:34 -0400

libphysfs (1.1.1-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * Add missing ${misc:Depends}. Thanks lintian.

  [ Barry deFreese ]
  * New upstream release.
  * Rename binary for SONAME bump.
  * Fix symbols file. (Thanks to Paul Wise).
  * Don't install bogus manpage links.
  * Remove duplicated sections from binary packages.
  * Add description to quilt patch.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 01 Mar 2009 18:05:01 -0500

libphysfs (1.0.1-3) unstable; urgency=low

  [ Barry deFreese ]
  * 02_soname.diff - Fix *_AGE in configure and configure.in.
  * Rename binary package to 1.0-0 instead of 1.0-1.
  * Remove old unnecessary Conflicts and Replaces.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 07 Mar 2009 21:43:12 -0500

libphysfs (1.0.1-2) unstable; urgency=low

  [ Patrick Matthäi ]
  * Add missing ${misc:Depends}. Thanks lintian.

  [ Barry deFreese ]
  * Don't install bogus manpage links.
  * Remove duplicated sections from binary packages.
  * Add description to quilt patch.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 01 Mar 2009 18:05:01 -0500

libphysfs (1.0.1-1) experimental; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Acknowledged by previous maintainer.
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
    + Add myself to uploaders.
  * New upstream release.
    + Bump package name to match new soname.
  * Fix description on -dev package. (Closes: #416614).
  * Move Homepage from package description to source header.
  * Make binNMU safe.
  * Make clean not ignore errors.
  * Remove un-needed dirs files.
  * Remove unnecessary build-dep on automake1.7.
  * Add quilt patching system.
    + 01_manpages.diff - Fix generated manpages.
  * Add sed script in rules to fix manpage whatis entry.
  * Add VCS tags.
  * Fix up watch file.
  * Re-enable readline support in rules.
    + Add build-dep on libreadline5-dev.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3. (No changes needed).

  [ Patrick Matthäi ]
  * Provide debugging symbols in a separate package.
    Closes: #488468
  * Change short description to a simillar one as the libguichan binary package
    itself with a note, that it contains the development headers.
    Closes: #416614
  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add myself to uploaders.
  * Minor debian/rules cleanups.
  * Added .symbols file for the library.
  * Do not build by default with the verbose option to reduce the size of the
    build log.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 29 Nov 2008 10:45:08 -0500

libphysfs (1.0.0-5) unstable; urgency=high

  * Urgency high due to security fix on most architectures (Closes: #318091)
  * Added explicit version of zlib1g-dev as a build dependecy.
  * Bumped Standards-Version to 3.6.2 (no changes needed)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 13 Jul 2005 15:53:33 +0200

libphysfs (1.0.0-4) unstable; urgency=low

  * Fixed wrong build dependencies (Closes: #304438)
    Thanks to Andreas Jochens for spotting this.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 13 Apr 2005 09:45:33 +0200

libphysfs (1.0.0-3) unstable; urgency=low

  * Updated libtool and autoconf stuff. (Closes: #304298)
  * s/fenio@o2.pl/fenio@debian.org/
  * Removed Scott James Remnant from Uploaders, many thanks for all uploads
    and useful hints.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 12 Apr 2005 10:11:32 +0200

libphysfs (1.0.0-2) unstable; urgency=low

  * Setting proper conflicting values.

 -- Bartosz Fenski <fenio@o2.pl>  Fri,  9 Jul 2004 22:25:15 +0200

libphysfs (1.0.0-1) unstable; urgency=low

  * New package because of SONAME change (Closes: #253845)

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 13 Jun 2004 00:17:12 +0200

libphysfs0 (1.0.0-1) unstable; urgency=low

  * New upstream release. 
  * debian/control:
    - added Homepage to description.
    - added autotools-dev to Build-Depends:
    - added Section header for source
    - moved Section for -dev package to libdevel
  * debian/rules:
    - added --disable-readline to configure target. (Closes: #249195)

