=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
 Patrick Matthäi <pmatthaei@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 7), quilt, cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
Standards-Version: 3.8.3
Homepage: http://www.icculus.org/physfs/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libphysfs/?op=log

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1-dbg
Architecture: any
Depends: ${misc:Depends}, libphysfs1 (= ${binary:Version})
Priority: extra
Section: debug
Description: filesystem abstraction library for game programmers (debug symbols)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the debugging symbols for the libphysfs package.
