## libphysfs 2.0.1

=== debian/changelog ===
libphysfs (2.0.1-2) unstable; urgency=low

  * Fix link from libphysfs-1.0.so.0 to libphysfs.so.2.0.1.
    Closes: #586248
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Jul 2010 15:11:49 +0200

libphysfs (2.0.1-1) unstable; urgency=low

  * New upstream release.
    - Drop all patches, they have been merged by upstream.
    - physfs does not fail anymore with a bogus $HOME.
      Closes: #553174
    - Properly initialize on kfreebsd-*.
      Closes: #544356
  * Add 01-fix-gcc4.4-building.diff from upstream, so that physfs can be build
    with gcc 4.4, thanks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 21:30:58 +0100

libphysfs (2.0.0-5) unstable; urgency=high

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Drop quilt build depedencie.
  * Only install properly builded manpages. There is something wrong with the
    doxygen markup.
    Closes: #573658

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 14 Mar 2010 14:45:17 +0100
