=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
- Patrick Matthäi <pmatthaei@debian.org>,
- Gonéri Le Bouder <goneri@rulezlan.org>
-Build-Depends: debhelper (>= 7), quilt, cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
-Standards-Version: 3.8.3
+ Patrick Matthäi <pmatthaei@debian.org>
+Build-Depends: debhelper (>= 7), cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
+Standards-Version: 3.9.0
 Homepage: http://www.icculus.org/physfs/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libphysfs/?op=log
