=== debian/rules ===
#!/usr/bin/make -f
# rules for libphysfs (March 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	cmake -D CMAKE_INSTALL_PREFIX=/usr .

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	doxygen
	#Fix manpage whatis entry
	sed -i -e 's/physfs.h \\- $$/physfs.h \\- main header file for physfs/' docs/man/man3/physfs.h.3
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || [ ! -f config.status ] || $(MAKE) clean
	rm -fR docs/html docs/latex docs/man
	rm -f config.log config.status config.sub config.guess
	find ./ -name Makefile -delete
	rm -f config.h
	rm -f libtool
	rm -f stamp-h1
	rm -f libphysfs.so*
	rm -f test_physfs wxtest_physfs
	rm -f install_manifest.txt
	rm -f CMakeCache.txt
	rm -f cmake_install.cmake
	rm -rf docs
	rm -rf CMakeFiles
	rm -rf .pc
	find ./ -name *.o -delete
	find ./ -name *.a -delete
	find ./ -name *.bin -delete
	find ./ -name a.out -delete
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installman
	dh_install
	dh_link
	dh_lintian
	#dpkg-gensymbols -plibphysfs1
	dh_strip --dbg-package=libphysfs1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
