=== debian/watch ===
version=3
http://www.icculus.org/physfs/downloads/physfs-([\d.]+)\.tar\.gz
