## libphysfs 2.0.2

=== debian/changelog ===
libphysfs (2.0.2-7) unstable; urgency=low

  * Wrap all debian/control fields.
  * Add multiarch support.
    Closes: #680607
  * Add lintian overrides for false positive hardening-no-fortify-functions
    warnings.
  * Drop unused debian/libphysfs1.symbols file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jul 2012 21:13:51 +0200

libphysfs (2.0.2-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 19:24:57 +0100

libphysfs (2.0.2-5) unstable; urgency=high

  * Do not remove the .pc directory in the clean target.
    Closes: #647492
  * Apply patch from Sven Joachim, to not unnecessarily link against ncurses.
    Closes: #646146
  * Wrap all control fields.
  * Add missing patch description to remove_unused_variable.diff.
  * Add missing build-arch and build-indep target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 05 Nov 2011 11:52:22 +0100

libphysfs (2.0.2-4) unstable; urgency=low

  * Team upload.
  * Drop an unsued variable from archivers/wad.c that caused an FTBFS by
    remove_unused_variable.diff. (Closes: #634415)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 17:40:27 +0200

libphysfs (2.0.2-3) unstable; urgency=low

  * Rebuild package. It looks like the building hardware was just damaged.
    Closes: #624800

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2011 22:39:43 +0200

libphysfs (2.0.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Wrap build dependencies.
  * Build with enabled hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 20:31:44 +0200

libphysfs (2.0.2-1) unstable; urgency=low

  * New upstream release.
    - Remove merged 01-fix-gcc4.4-building patch.
  * Bump Standards-Version to 3.9.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 19 Feb 2011 10:38:24 +0100
