=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
@@ -28,7 +30,7 @@
 
 config.status:
 	dh_testdir
-	cmake -D CMAKE_INSTALL_PREFIX=/usr .
+	cmake -D CMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" .
 
 build: build-stamp
 build-stamp: config.status
@@ -39,12 +41,16 @@
 	sed -i -e 's/physfs.h \\- $$/physfs.h \\- main header file for physfs/' docs/man/man3/physfs.h.3
 	touch build-stamp
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || [ ! -f config.status ] || $(MAKE) clean
-	rm -fR docs/html docs/latex docs/man
+	rm -fr docs/html docs/latex docs/man
 	rm -f config.log config.status config.sub config.guess
 	find ./ -name Makefile -delete
 	rm -f config.h
@@ -57,7 +63,6 @@
 	rm -f cmake_install.cmake
 	rm -rf docs
 	rm -rf CMakeFiles
-	rm -rf .pc
 	find ./ -name *.o -delete
 	find ./ -name *.a -delete
 	find ./ -name *.bin -delete
@@ -80,8 +85,9 @@
 	dh_installman
 	dh_install
 	dh_link
+	dh_link -plibphysfs1 "usr/lib/$(DEB_HOST_MULTIARCH)/libphysfs.so.2.0.2" \
+		"usr/lib/$(DEB_HOST_MULTIARCH)/libphysfs-1.0.so.0"
 	dh_lintian
-	#dpkg-gensymbols -plibphysfs1
 	dh_strip --dbg-package=libphysfs1-dbg
 	dh_compress
 	dh_fixperms
