## libphysfs 2.0.2-1

=== debian/control ===
Source: libphysfs
Priority: extra
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5), cmake
Standards-Version: 3.7.2
Section: libs

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: libphysfs1 (= ${Source-Version})
Description: filesystem abstraction library for game programmers (develoment files)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
