## libphysfs 2.0.2-2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libphysfs
 Priority: extra
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), cmake
+Build-Depends: debhelper (>= 5), cmake, zlib1g-dev
 Standards-Version: 3.7.2
 Section: libs
