## libphysfs 2.0.3

=== debian/changelog ===
libphysfs (2.0.3-2) unstable; urgency=low

  * Adopt debian/watch from Bart Martens.
  * Uploading to unstable.
  * Migrate package to minimal debhelper.
  * Remove unused lintian overrides.
  * Adjust Vcs-Browser debian/control field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 11:34:54 +0200

libphysfs (2.0.3-1) experimental; urgency=low

  * New upstream release.
    Closes: #691867
    - Remove merged patch remove_unused_variable.
    - Rename patch do_not_link_against_curses to 01-do-not-link-against-curses
      and also rewrite it.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Update debian/watch: Releases are now bzip2 compressed.
  * Remove old libphysfs-1.0.so.0 compatibility symlink.
  * Use wildcards in lintian overrides.
  * Overwrite duplicate-files and no-symbols-control-file lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 19:39:55 +0100
