=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
 Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 doxygen,
 autotools-dev,
 zlib1g-dev,
 hardening-wrapper,
 libreadline-dev
Standards-Version: 3.9.4
Homepage: http://www.icculus.org/physfs/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/libphysfs/

Package: libphysfs-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Multi-Arch: same
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1-dbg
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Priority: extra
Section: debug
Multi-Arch: same
Description: filesystem abstraction library for game programmers (debug symbols)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the debugging symbols for the libphysfs package.
