=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_HOST_MULTIARCH     ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXTRAFLAGS := -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/docs/

override_dh_strip:
	dh_strip --dbg-package=libphysfs1-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
