=== debian/watch ===
version=3
http://www.icculus.org/physfs/downloads/physfs-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
