## libphysfs 3.0.1

=== debian/changelog ===
libphysfs (3.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the fsync patch. Really closes: #907429.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Dec 2018 15:27:09 +0100

libphysfs (3.0.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Merge 3.0.1-2~bpo9+1 changelog.
  * Fix renamed debian-watch lintian tag.
  * Add upstream patch 02-fsync.
    Closes: #907429

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Nov 2018 15:10:13 +0100

libphysfs (3.0.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Oct 2018 10:50:42 +0200

libphysfs (3.0.1-2) unstable; urgency=high

  * Move package to my own repository.
  * Bump Standards-Version to 4.1.4.
  * Move source.lintian-overrides file to source directory.
  * Add upstream patch 01-setwritedir to fix a bug in the setWriteDir function.
    Much thanks Gianfranco Costamagna for taking care of this.
    Closes: #898483
  * Bump debian/compat to level 11.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2018 14:28:17 +0200

libphysfs (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged or not anymore required patches
      01-do-not-link-against-curses, 02-zip-seek and 03-set-project-number.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure URI for homepage and debian/watch.
  * Remove trailing whitespace from debian/changelog.
  * Adjust lintian overrides.
  * doc base has been removed.
  * Removed doxygen.
  * Various docs has been removed.
  * Remove now missing manpages and doc files.
  * jquery is no longer a part of this package.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Nov 2017 10:37:53 +0100

libphysfs (2.0.3-6) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Bump debian/compat to level 10.
    - Drop build dependency on autotools-dev.
  * Add patch 03-set-project-number to set the project number in the Doxyfile.
    Closes: #795574
  * Overwrite lintian warning vcs-field-uses-insecure-uri.
  * Correctly remove jquery.js file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Aug 2017 11:01:09 +0200

libphysfs (2.0.3-5) unstable; urgency=low

  * Add patch 02-zip-seek to fix a buffer overflow in physfs with zlib version
    >= 1.2.11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Apr 2017 19:48:04 +0200

libphysfs (2.0.3-4) unstable; urgency=medium

  * Enable full hardening.
  * Use secure Vcs-Browser URL.
  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:24:38 +0100

libphysfs (2.0.3-3) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Patrick Matthäi ]
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Fix lintian warning static-library-has-unneeded-section.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature, since there
    are no signatures available
  * Remove unused lintian overrides.
  * Link and depend against system libjs-jquery version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Aug 2015 19:39:51 +0200
